//
//  webController.m
//  RSSLesson
//
//  Created by Jirka on 7.3.11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "WebController.h"


@implementation WebController

@synthesize urlAddress;

// The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
/*
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization.
    }
    return self;
}
*/

- (void)viewWillAppear:(BOOL)animated{
	NSURL *url = [NSURL URLWithString:[urlAddress stringByReplacingOccurrencesOfString:@" " withString:@""]];
	//NSURL *url = [NSURL URLWithString:urlAddress];
	
	NSURLRequest *request = [NSURLRequest requestWithURL:url];
	//[_webView loadRequest:request];
	
	[_webView setDelegate:self];
	
	//[_webView setScalesPageToFit:YES];
	
	[_webView loadRequest:request];
}

- (void)viewWillDisappear:(BOOL)animated{
	NSURL *url = [NSURL URLWithString:@"about:blank"];
	NSURLRequest *request = [NSURLRequest requestWithURL:url];
	[_webView loadRequest:request];
}


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	self.title = @"Web";
    [super viewDidLoad];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations.
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/


- (void)webViewDidStartLoad:(UIWebView *)webView
{
	UIApplication* app = [UIApplication sharedApplication];
	app.networkActivityIndicatorVisible = YES;
}

- (void)webViewDidFinishLoad:(UIWebView *)webView
{
	UIApplication* app = [UIApplication sharedApplication];
	app.networkActivityIndicatorVisible = NO;
}

- (void)webView:(UIWebView *)webView didFailLoadWithError:(NSError *)error
{
	UIApplication* app = [UIApplication sharedApplication];
	app.networkActivityIndicatorVisible = NO;
}


- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
